Index: plugins/pings/_admin.php
===================================================================
--- plugins/pings/_admin.php	(revision 2230)
+++ plugins/pings/_admin.php	(revision 2322)
@@ -26,5 +26,5 @@
 		'Google Blog Search' => 'http://blogsearch.google.com/ping/RPC2'
 	);
-		
+
 	$core->blog->settings->addNamespace('pings');
 	$core->blog->settings->pings->put('pings_active',1,'boolean','Activate pings plugin',true,true);
@@ -48,3 +48,19 @@
 	));
 }
-?>
+
+$core->addBehavior('adminPageHelpBlock', 'pingsPageHelpBlock');
+
+function pingsPageHelpBlock($blocks)
+{
+	$found = false;
+	foreach($blocks as $block) {
+		if ($block == 'core_post') {
+			$found = true;
+			break;
+		}
+	}
+	if (!$found) {
+		return null;
+	}
+	$blocks[] = 'pings_post';
+}
Index: plugins/pings/index.php
===================================================================
--- plugins/pings/index.php	(revision 2256)
+++ plugins/pings/index.php	(revision 2322)
@@ -100,4 +100,7 @@
 echo '<p><a class="button" href="'.$p_url.'&amp;test=1">'.__('Test ping services').'</a></p>';
 ?>
+
+<?php dcPage::helpBlock('pings'); ?>
+
 </body>
 </html>
Index: plugins/pings/locales/en/help/pings.html
===================================================================
--- plugins/pings/locales/en/help/pings.html	(revision 2322)
+++ plugins/pings/locales/en/help/pings.html	(revision 2322)
@@ -0,0 +1,11 @@
+<html>
+<head>
+  <title>Pings</title>
+</head>
+
+<body>
+
+<h4>Pings</h4>
+
+</body>
+</html>
Index: plugins/pings/locales/en/help/pings_post.html
===================================================================
--- plugins/pings/locales/en/help/pings_post.html	(revision 2322)
+++ plugins/pings/locales/en/help/pings_post.html	(revision 2322)
@@ -0,0 +1,11 @@
+<html>
+<head>
+  <title>Pings</title>
+</head>
+
+<body>
+
+<h4>Pings</h4>
+
+</body>
+</html>
Index: plugins/pings/locales/en/resources.php
===================================================================
--- plugins/pings/locales/en/resources.php	(revision 2322)
+++ plugins/pings/locales/en/resources.php	(revision 2322)
@@ -0,0 +1,22 @@
+<?php
+# -- BEGIN LICENSE BLOCK ---------------------------------------
+#
+# This file is part of Dotclear 2.
+#
+# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Licensed under the GPL version 2.0 license.
+# See LICENSE file or
+# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+#
+# -- END LICENSE BLOCK -----------------------------------------
+
+if (!isset($__resources['help']['pings']))
+{
+	$__resources['help']['pings'] = dirname(__FILE__).'/help/pings.html';
+}
+if (!isset($__resources['help']['pings_post']))
+{
+	$__resources['help']['pings_post'] = dirname(__FILE__).'/help/pings_post.html';
+}
+
+?>
Index: plugins/pings/locales/fr/help/pings.html
===================================================================
--- plugins/pings/locales/fr/help/pings.html	(revision 2322)
+++ plugins/pings/locales/fr/help/pings.html	(revision 2322)
@@ -0,0 +1,11 @@
+<html>
+<head>
+  <title>Signalements (pings)</title>
+</head>
+
+<body>
+
+<h4>Signalements (pings)</h4>
+
+</body>
+</html>
Index: plugins/pings/locales/fr/help/pings_post.html
===================================================================
--- plugins/pings/locales/fr/help/pings_post.html	(revision 2322)
+++ plugins/pings/locales/fr/help/pings_post.html	(revision 2322)
@@ -0,0 +1,11 @@
+<html>
+<head>
+  <title>Signalements (pings)</title>
+</head>
+
+<body>
+
+<h4>Signalements (pings)</h4>
+
+</body>
+</html>
Index: plugins/pings/locales/fr/resources.php
===================================================================
--- plugins/pings/locales/fr/resources.php	(revision 2322)
+++ plugins/pings/locales/fr/resources.php	(revision 2322)
@@ -0,0 +1,22 @@
+<?php
+# -- BEGIN LICENSE BLOCK ---------------------------------------
+#
+# This file is part of Dotclear 2.
+#
+# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Licensed under the GPL version 2.0 license.
+# See LICENSE file or
+# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+#
+# -- END LICENSE BLOCK -----------------------------------------
+
+if (!isset($__resources['help']['pings']))
+{
+	$__resources['help']['pings'] = dirname(__FILE__).'/help/pings.html';
+}
+if (!isset($__resources['help']['pings_post']))
+{
+	$__resources['help']['pings_post'] = dirname(__FILE__).'/help/pings_post.html';
+}
+
+?>