Index: .hgsubstate
===================================================================
--- .hgsubstate	(revision 1983)
+++ .hgsubstate	(revision 2343)
@@ -1,1 +1,1 @@
-19ba094ceed74d06ddd0593332cb4d1a7d12c243 inc/libs/clearbricks
+80a0052d6ee5db1ff47601bc62959d4c8b6cf857 inc/libs/clearbricks
Index: CHANGELOG
===================================================================
--- CHANGELOG	(revision 2340)
+++ CHANGELOG	(revision 1791)
@@ -1,6 +1,2 @@
-Dotclear 2.6-RC - 2013-10-18
-===========================================================
-<to be completed>
-
 Dotclear 2.5.3 - 2013-09-13
 ===========================================================
Index: admin/_charte.php
===================================================================
--- admin/_charte.php	(revision 2342)
+++ admin/_charte.php	(revision 2308)
@@ -83,4 +83,10 @@
 		<div id="main">
 			<div id="content" class="clearfix">
+			<div class="info">
+				<p>Cette page vise à présenter les règles graphiques et conventions utilisées dans les pages de l'administration
+				d'une installation Dotclear, à l'usage des contributeurs et développeurs d'extensions. Elle en est elle-même 
+				une illustration. L'observation de son code source peut donc servir de complément aux descriptions.</p>
+			</div>
+
 				<h2>Typographie</h2>
 				<h3 id="texte">Textes</h3>
@@ -159,9 +165,11 @@
 						</div><!--
 						--><div class="two-boxes even">
-							<div class="two-boxes odd">
-								<p><span class="step">4</span> On peut bien sûr imbriquer des boîtes de class <code>"two-boxes"</code>
-								 au sein d'une boîte <code>"two-boxes" afin qu'elles…</code>…</p>
-							</div><div class="two-boxes even">
-								<p><span class="step">4 bis</span>… se distribuent horizontalement comme dans une boîte <code>"one-box"</code>.</p>
+							<div class="box odd">
+								<p><span class="step">4</span> Toutes les boîtes de class <code>"box"</code><br />
+								 placées au sein d'une boîte <code>"two-boxes"</code>…</p>
+							</div>
+							<div class="box even">
+								<p><span class="step">4 bis</span>… se distribuent horizontalement comme dans <br />
+									une boîte <code>"one-box"</code>.</p>
 							</div>
 						</div>
@@ -533,9 +541,7 @@
 		</div><!-- /main -->
 		<div id="main-menu">
-			<div class="info">
-				<p>Cette page vise à présenter les règles graphiques et conventions utilisées dans les pages de l'administration
-				d'une installation Dotclear, à l'usage des contributeurs et développeurs d'extensions. Elle en est elle-même 
-				une illustration. L'observation de son code source peut donc servir de complément aux descriptions.</p>
-			</div>
+			<form id="search-menu" action="search.php" method="get">
+				<p><label for="qx" class="hidden">Chercher : </label><input type="text" size="30" name="qx" id="qx" maxlength="255"  /><input type="submit" value="OK" /></p>
+			</form>
 			<div id="favorites-menu">
 				<h3>Typo</h3>
Index: admin/categories.php
===================================================================
--- admin/categories.php	(revision 2342)
+++ admin/categories.php	(revision 2256)
@@ -184,5 +184,5 @@
 		}
 		echo 
-		' <input type="submit"'.$attr_disabled.' class="'.$input_class.'delete" name="delete['.$rs->cat_id.']" value="'.__('Delete category').'"/>'.
+		'<input type="submit"'.$attr_disabled.' class="'.$input_class.'delete" name="delete['.$rs->cat_id.']" value="'.__('Delete category').'"/>'.
 		'</p>';
 
Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 2342)
+++ admin/style/default.css	(revision 2339)
@@ -18,9 +18,4 @@
 																	LAYOUTS
 ---------------------------------------------------------------------------- */
-*, *:before, *:after {
-    -webkit-box-sizing: border-box;
-    -moz-box-sizing: border-box;
-    box-sizing: border-box;
-}
 #header {
 	background: #676e78;
@@ -158,5 +153,5 @@
 	}
 .two-boxes {
-	width: 48.5%;
+	width: 47%;
 	}
 .three-boxes {
@@ -167,4 +162,7 @@
 	vertical-align: top;
 	margin: 0 1.5% 1em;
+	-moz-box-sizing: border-box;
+	-webkit-box-sizing: border-box;
+	box-sizing: border-box;
 	text-align: left;
 	}
@@ -246,5 +244,8 @@
 	display: inline-block;
 	vertical-align: top;
-	margin: 0 10px 10px;
+	margin: 0 1.5% 1em;
+	-moz-box-sizing: border-box;
+	-webkit-box-sizing: border-box;
+	box-sizing: border-box;
 	text-align: left;
 	}
@@ -495,4 +496,7 @@
 	}
 input:focus, textarea:focus, select:focus {
+	-webkit-box-sizing: border-box;
+	-moz-box-sizing: border-box;
+	box-sizing: border-box;
 	border-color: #9bca1c;
 	}
@@ -795,5 +799,4 @@
 	padding-top: 1em;
 	padding-bottom: 1em;
-	margin-top: .5em;
 	}
 .error {
@@ -1390,5 +1393,4 @@
 	padding: 1em 1em 0 1em;
 	background: #fff;
-	margin-bottom: 0;
 	}
 #login-screen input[type=text], #login-screen input[type=password], #login-screen input[type=submit],
@@ -1397,4 +1399,7 @@
 	margin: 0;
 	padding: 5px 3px;
+	-webkit-box-sizing: border-box;	
+	-moz-box-sizing: border-box;
+	box-sizing: border-box;
 	}
 #login-screen input.login, #login-screen input.login:focus {
@@ -1407,7 +1412,4 @@
 	font-size: 12px; /* ie < 9 sucks */
 	font-size: 1.2rem;
-	}
-#issue p:first-child {
-	text-align: right;
 	}
 #login-screen #issue strong {
@@ -1425,5 +1427,5 @@
 	}
 #icons p {
-	width: 200px;
+	width: 170px;
 	text-align: center;
 	margin: 1em 0 2em;
@@ -1761,5 +1763,5 @@
 	margin: 9px;
 	padding: 10px 12px 6px;
-	width: 320px;
+	width: 300px;
 	display: inline-block;
 	vertical-align: top;
@@ -1945,7 +1947,9 @@
 .upload-progress div {
 	width: 0;
-	height: 1.2em;
+	height: 1em;
+	padding: .2em 0;
+	font-size: 0.8em;
 	font-weight: bold;
-	line-height: 1.2em;
+	line-height: 1em;
 	text-align: right;
 	background: green url(loader.png) repeat-x left top;
@@ -2149,7 +2153,4 @@
 /* --------------------------------------------------------------------- user.php */
 .blog-perm {
-	padding-top: 2em;
-	}
-.blog-perm {
 	margin-top: 2em;
 	font-weight: bold;
@@ -2172,8 +2173,4 @@
 	margin: 1em 0;
 	font-size: 2em;
-	}
-.guideline #content h2:first-child {
-	margin-top: 0;
-	padding-top: .5em;
 	}
 .guideline h3 {
Index: admin/user.php
===================================================================
--- admin/user.php	(revision 2342)
+++ admin/user.php	(revision 2256)
@@ -347,5 +347,5 @@
 				{
 					echo 
-					'<form action="users_actions.php" method="post" class="perm-block">'.
+					'<form action="users_actions.php" method="post">'.
 					'<p class="blog-perm">'.__('Blog:').' <a href="blog.php?id='.html::escapeHTML($k).'">'.
 					html::escapeHTML($v['name']).'</a> ('.html::escapeHTML($k).')</p>';
Index: inc/prepend.php
===================================================================
--- inc/prepend.php	(revision 2319)
+++ inc/prepend.php	(revision 2341)
@@ -134,5 +134,5 @@
 # Constants
 define('DC_ROOT',path::real(dirname(__FILE__).'/..'));
-define('DC_VERSION','2.6-dev');
+define('DC_VERSION','2.7-dev');
 define('DC_DIGESTS',dirname(__FILE__).'/digests');
 define('DC_L10N_ROOT',dirname(__FILE__).'/../locales');
Index: plugins/widgets/style.css
===================================================================
--- plugins/widgets/style.css	(revision 2342)
+++ plugins/widgets/style.css	(revision 1669)
@@ -16,5 +16,5 @@
 #sidebarsWidgets {
 	float: left;
-	width: 49%;
+	width: 47%;
 	margin: 0 0 0 1%;
 	padding: 0 1%;
@@ -114,5 +114,5 @@
 #listWidgets {
 	float: left;
-	width: 49%;
+	width: 46%;
 	background: #eee;
 	padding: 1.5em 1% 0; 