Index: plugins/blowupConfig/help.html
===================================================================
--- plugins/blowupConfig/help.html	(revision 1956)
+++ 	(revision )
@@ -1,55 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<html>
-<head>
-  <title>Blowup theme configuration</title>
-</head>
-
-<body>
-<p>Modifying Blowup theme configuration allows you to customize your theme very easily. To do so, simply fill in the configuration fields or choose a predefined style.</p>
-
-<h4>Colors</h4>
-
-<p>When you have to enter a color value, you should use the hexadecimal format. For example: "#FF0000" will give you red. You may also use the color picker located next to every color field.</p>
-<p>If you lack inspiration, try and visit the following pages:</p>
-<ul>
- <li><a href="http://en.wikipedia.org/wiki/List_of_colors">Color code list</a> (Wikipedia)</li>
- <li><a href="http://kuler.adobe.com/">Adobe Kuler</a></li>
- <li><a href="http://colorblender.com/">ColorBlender</a></li>
- <li><a href="http://www.colorcombos.com/">ColorCombos</a></li>
-</ul>
-
-<h4>Measurement units</h4>
-
-<p>When you have to indicate a size, it must be followed by a measurement unit. For example: "1em". If you do not include the unit, pixels will be used as default measurement unit.</p>
-<p>The following measurement units are available:</p>
-<ul>
-  <li>px</li>
-  <li>em</li>
-  <li>ex</li>
-  <li>pt</li>
-  <li>%</li>
-</ul>
-
-<h4>Header images</h4>
-
-<p>You can choose a header image among the list to use in place of the default one.</p>
-
-<p>When you choose "Custom..." in the image list, you will be able to upload your own image. <strong>The image file must be in JPG or PNG format and must be precisely 800px wide.</strong>
-
-<p>If you upload a JPG image, a border will be added to the image, which is not the case with PNG images (the transparency of which will also be kept).</p>
-
-<h4>Predefined styles</h4>
-
-<p>You can choose a predefined style in the "Predefinite styles" drop-down list.
-Once you have chosen the style, you have to submit the form to apply the modifications.</p>
-
-<p>You may then modify the predefined style according to your taste and needs.</p>
-
-<h4>Configuration import / export</h4>
-
-<p>At the end of Blowup options, you can display an area names "Configuration import/export". This text area contains the configuration you are currently using. You can copy it to share it with others.</p>
-
-<p>To apply (import) a configuration, you simply need to replace the content of the text area with the configuration you want to use. Don't forget to click on "apply code".</p>
-
-</body>
-</html>
Index: plugins/blowupConfig/locales/en/help/help.html
===================================================================
--- plugins/blowupConfig/locales/en/help/help.html	(revision 2368)
+++ plugins/blowupConfig/locales/en/help/help.html	(revision 2368)
@@ -0,0 +1,55 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<html>
+<head>
+  <title>Blowup theme configuration</title>
+</head>
+
+<body>
+<p>Modifying Blowup theme configuration allows you to customize your theme very easily. To do so, simply fill in the configuration fields or choose a predefined style.</p>
+
+<h4>Colors</h4>
+
+<p>When you have to enter a color value, you should use the hexadecimal format. For example: "#FF0000" will give you red. You may also use the color picker located next to every color field.</p>
+<p>If you lack inspiration, try and visit the following pages:</p>
+<ul>
+ <li><a href="http://en.wikipedia.org/wiki/List_of_colors">Color code list</a> (Wikipedia)</li>
+ <li><a href="http://kuler.adobe.com/">Adobe Kuler</a></li>
+ <li><a href="http://colorblender.com/">ColorBlender</a></li>
+ <li><a href="http://www.colorcombos.com/">ColorCombos</a></li>
+</ul>
+
+<h4>Measurement units</h4>
+
+<p>When you have to indicate a size, it must be followed by a measurement unit. For example: "1em". If you do not include the unit, pixels will be used as default measurement unit.</p>
+<p>The following measurement units are available:</p>
+<ul>
+  <li>px</li>
+  <li>em</li>
+  <li>ex</li>
+  <li>pt</li>
+  <li>%</li>
+</ul>
+
+<h4>Header images</h4>
+
+<p>You can choose a header image among the list to use in place of the default one.</p>
+
+<p>When you choose "Custom..." in the image list, you will be able to upload your own image. <strong>The image file must be in JPG or PNG format and must be precisely 800px wide.</strong>
+
+<p>If you upload a JPG image, a border will be added to the image, which is not the case with PNG images (the transparency of which will also be kept).</p>
+
+<h4>Predefined styles</h4>
+
+<p>You can choose a predefined style in the "Predefinite styles" drop-down list.
+Once you have chosen the style, you have to submit the form to apply the modifications.</p>
+
+<p>You may then modify the predefined style according to your taste and needs.</p>
+
+<h4>Configuration import / export</h4>
+
+<p>At the end of Blowup options, you can display an area names "Configuration import/export". This text area contains the configuration you are currently using. You can copy it to share it with others.</p>
+
+<p>To apply (import) a configuration, you simply need to replace the content of the text area with the configuration you want to use. Don't forget to click on "apply code".</p>
+
+</body>
+</html>
Index: plugins/blowupConfig/locales/en/resources.php
===================================================================
--- plugins/blowupConfig/locales/en/resources.php	(revision 2368)
+++ plugins/blowupConfig/locales/en/resources.php	(revision 2368)
@@ -0,0 +1,16 @@
+<?php
+# -- BEGIN LICENSE BLOCK ---------------------------------------
+#
+# This file is part of Dotclear 2.
+#
+# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Licensed under the GPL version 2.0 license.
+# See LICENSE file or
+# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+#
+# -- END LICENSE BLOCK -----------------------------------------
+
+if (!isset($__resources['help']['blowupConfig']))
+{
+	$__resources['help']['blowupConfig'] = dirname(__FILE__).'/help/help.html';
+}
Index: plugins/blowupConfig/locales/fr/help/help.html
===================================================================
--- plugins/blowupConfig/locales/fr/help/help.html	(revision 2368)
+++ plugins/blowupConfig/locales/fr/help/help.html	(revision 2368)
@@ -0,0 +1,71 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<html>
+<head>
+  <title>Configuration du thème Blowup</title>
+</head>
+
+<body>
+<p>En modifiant la configuration du thème Blowup, vous pouvez personnaliser votre
+thème très facilement. Pour cela, renseignez simplement les champs de configuration
+ou choisissez un style prédéfini.</p>
+
+<h4>Couleurs</h4>
+
+<p>Quand vous devez indiquer une valeur de couleur, celle-ci doit être au format
+hexadécimal. Par exemple&nbsp;: "#FF0000" donnera du rouge. Vous pouvez vous aider
+de la pipette à côté de chaque champ de couleur.</p>
+<p>Si vous manquez d'inspiration vous pouvez consulter&nbsp;:</p>
+<ul>
+ <li><a href="http://fr.wikipedia.org/wiki/Liste_De_Couleurs">La liste des codes</a> (Wikipedia),</li>
+ <li><a href="http://kuler.adobe.com/">Adobe Kuler</a>,</li>
+ <li><a href="http://colorblender.com/">ColorBlender</a>,</li>
+ <li><a href="http://www.colorcombos.com/">ColorCombos</a>.</li>
+</ul>
+
+<h4>Unités de mesure</h4>
+
+<p>Quand vous devez indiquer une taille, celle-ci doit être suivie d'une unité
+de mesure. Par exemple&nbsp;: "1em". Si vous n'indiquez aucune unité, la valeur
+donnée prendra des pixels comme unité par défaut.</p>
+<p>Les unités possibles sont&nbsp;:</p>
+<ul>
+  <li>px</li>
+  <li>em</li>
+  <li>ex</li>
+  <li>pt</li>
+  <li>%</li>
+</ul>
+
+<h4>Images d'en-tête</h4>
+
+<p>Vous pouvez choisir une image d'en-tête parmi une liste de nombreuses images
+afin de remplacer celle utilisée par défaut.</p>
+
+<p>En choisissant "Personnalisé..." parmi la liste d'images, vous pourrez
+déposer votre propre image. <strong>Celle-ci doit être au format JPG ou PNG et
+avoir une largeur exacte de 800 pixels.</strong></p>
+
+<p>Si vous déposez une image au format JPG, un cadre sera ajouté autours de
+l'image, ce qui n'est pas le cas avec une image au format PNG (dont la
+transparence sera également préservée).</p>
+
+<h4>Styles prédéfinis</h4>
+
+<p>Vous pouvez choisir un style prédéfini dans la liste d'option "Styles prédéfinis".
+Une fois le style choisi, vous devez valider le formulaire pour appliquer les
+changements.</p>
+
+<p>Vous pouvez ensuite modifier le style prédéfini comme bon vous semble.</p>
+
+<h3>Import / export de configuration</h3>
+
+<p>À la fin des options de Blowup, vous pouvez afficher une zone appelée "Import
+/ export de configuration". Dans cette zone de texte se trouve la configuration
+en cours d'utilisation. Vous pouvez la copier pour la partager avec d'autres.</p>
+
+<p>Pour appliquer (importer) une configuration, il suffit simplement de remplacer
+le contenu de la zone de texte par celui que vous voulez utiliser. N'oubliez pas
+de cliquer sur "appliquer le code".</p>
+
+</body>
+</html>
Index: plugins/blowupConfig/locales/fr/resources.php
===================================================================
--- plugins/blowupConfig/locales/fr/resources.php	(revision 2368)
+++ plugins/blowupConfig/locales/fr/resources.php	(revision 2368)
@@ -0,0 +1,16 @@
+<?php
+# -- BEGIN LICENSE BLOCK ---------------------------------------
+#
+# This file is part of Dotclear 2.
+#
+# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Licensed under the GPL version 2.0 license.
+# See LICENSE file or
+# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+#
+# -- END LICENSE BLOCK -----------------------------------------
+
+if (!isset($__resources['help']['blowupConfig']))
+{
+	$__resources['help']['blowupConfig'] = dirname(__FILE__).'/help/help.html';
+}