Index: plugins/widgets/_default_widgets.php
===================================================================
--- plugins/widgets/_default_widgets.php	(revision 2198)
+++ plugins/widgets/_default_widgets.php	(revision 2395)
@@ -22,6 +22,6 @@
 $__widgets->search->setting('homeonly',__('Display on:'),0,'combo',
 	array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
-$__widgets->search->setting('content_only',__('Content only'),0,'check');
-$__widgets->search->setting('class',__('CSS class:'),'');
+$__widgets->search->advanced_setting('content_only','',0,'radio', array(array(__('Content only'), '1'), array(__('Enclosing div'), '0')));
+$__widgets->search->advanced_setting('class',__('CSS class:'),'');
 
 $__widgets->create('navigation',__('Navigation links'),array('defaultWidgets','navigation'),null,'List of navigation links');
@@ -29,6 +29,6 @@
 $__widgets->navigation->setting('homeonly',__('Display on:'),0,'combo',
 	array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
-$__widgets->navigation->setting('content_only',__('Content only'),0,'check');
-$__widgets->navigation->setting('class',__('CSS class:'),'');
+$__widgets->navigation->advanced_setting('content_only','',0,'radio', array(array(__('Content only'), '1'), array(__('Enclosing div'), '0')));
+$__widgets->navigation->advanced_setting('class',__('CSS class:'),'');
 
 $__widgets->create('bestof',__('Selected entries'),array('defaultWidgets','bestof'),null,'List of selected entries');
@@ -37,6 +37,6 @@
 $__widgets->bestof->setting('homeonly',__('Display on:'),1,'combo',
 	array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
-$__widgets->bestof->setting('content_only',__('Content only'),0,'check');
-$__widgets->bestof->setting('class',__('CSS class:'),'');
+$__widgets->bestof->advanced_setting('content_only','',0,'radio', array(array(__('Content only'), '1'), array(__('Enclosing div'), '0')));
+$__widgets->bestof->advanced_setting('class',__('CSS class:'),'');
 
 $__widgets->create('langs',__('Blog languages'),array('defaultWidgets','langs'),null,'List of available languages');
@@ -44,16 +44,15 @@
 $__widgets->langs->setting('homeonly',__('Display on:'),1,'combo',
 	array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
-$__widgets->langs->setting('content_only',__('Content only'),0,'check');
-$__widgets->langs->setting('class',__('CSS class:'),'');
+$__widgets->langs->advanced_setting('content_only','',0,'radio', array(array(__('Content only'), '1'), array(__('Enclosing div'), '0')));
+$__widgets->langs->advanced_setting('class',__('CSS class:'),'');
 
 $__widgets->create('categories',__('Categories'),array('defaultWidgets','categories'),null,'List of categories');
 $__widgets->categories->setting('title',__('Title:'),__('Categories'));
 $__widgets->categories->setting('postcount',__('With entries counts'),0,'check');
-$__widgets->categories->setting('subcatscount', __('Include sub cats in count'), false, 'check');
 $__widgets->categories->setting('with_empty',__('Include empty categories'),0,'check');
 $__widgets->categories->setting('homeonly',__('Display on:'),0,'combo',
 	array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
-$__widgets->categories->setting('content_only',__('Content only'),0,'check');
-$__widgets->categories->setting('class',__('CSS class:'),'');
+$__widgets->categories->advanced_setting('content_only','',0,'radio', array(array(__('Content only'), '1'), array(__('Enclosing div'), '0')));
+$__widgets->categories->advanced_setting('class',__('CSS class:'),'');
 
 $__widgets->create('subscribe',__('Subscribe links'),array('defaultWidgets','subscribe'),null,'RSS or Atom feed subscription links');
@@ -62,8 +61,8 @@
 $__widgets->subscribe->setting('homeonly',__('Display on:'),1,'combo',
 	array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
-$__widgets->subscribe->setting('content_only',__('Content only'),0,'check');
-$__widgets->subscribe->setting('class',__('CSS class:'),'');
+$__widgets->subscribe->advanced_setting('content_only','',0,'radio', array(array(__('Content only'), '1'), array(__('Enclosing div'), '0')));
+$__widgets->subscribe->advanced_setting('class',__('CSS class:'),'');
 
-$__widgets->create('feed',__('Feed reader'),array('defaultWidgets','feed'),null,'Last entries from feed');
+$__widgets->create('feed',__('Feed reader'),array('defaultWidgets','feed'),null,'Last entries from feed ( RSS or Atom )');
 $__widgets->feed->setting('title',__('Title:'),__('Somewhere else'));
 $__widgets->feed->setting('url',__('Feed URL:'),'');
@@ -71,6 +70,6 @@
 $__widgets->feed->setting('homeonly',__('Display on:'),1,'combo',
 	array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
-$__widgets->feed->setting('content_only',__('Content only'),0,'check');
-$__widgets->feed->setting('class',__('CSS class:'),'');
+$__widgets->feed->advanced_setting('content_only','',0,'radio', array(array(__('Content only'), '1'), array(__('Enclosing div'), '0')));
+$__widgets->feed->advanced_setting('class',__('CSS class:'),'');
 
 $__widgets->create('text',__('Text'),array('defaultWidgets','text'),null,'Simple text');
@@ -79,6 +78,6 @@
 $__widgets->text->setting('homeonly',__('Display on:'),0,'combo',
 	array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
-$__widgets->text->setting('content_only',__('Content only'),0,'check');
-$__widgets->text->setting('class',__('CSS class:'),'');
+$__widgets->text->advanced_setting('content_only','',0,'radio', array(array(__('Content only'), '1'), array(__('Enclosing div'), '0')));
+$__widgets->text->advanced_setting('class',__('CSS class:'),'');
 
 $__widgets->create('lastposts',__('Last entries'),array('defaultWidgets','lastposts'),null,'List of last entries published');
@@ -97,6 +96,6 @@
 $__widgets->lastposts->setting('homeonly',__('Display on:'),1,'combo',
 	array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
-$__widgets->lastposts->setting('content_only',__('Content only'),0,'check');
-$__widgets->lastposts->setting('class',__('CSS class:'),'');
+$__widgets->lastposts->advanced_setting('content_only','',0,'radio', array(array(__('Content only'), '1'), array(__('Enclosing div'), '0')));
+$__widgets->lastposts->advanced_setting('class',__('CSS class:'),'');
 
 $__widgets->create('lastcomments',__('Last comments'),array('defaultWidgets','lastcomments'),null,'List of last comments posted');
@@ -105,6 +104,6 @@
 $__widgets->lastcomments->setting('homeonly',__('Display on:'),1,'combo',
 	array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
-$__widgets->lastcomments->setting('content_only',__('Content only'),0,'check');
-$__widgets->lastcomments->setting('class',__('CSS class:'),'');
+$__widgets->lastcomments->advanced_setting('content_only','',0,'radio', array(array(__('Content only'), '1'), array(__('Enclosing div'), '0')));
+$__widgets->lastcomments->advanced_setting('class',__('CSS class:'),'');
 
 # --BEHAVIOR-- initWidgets