Index: locales/fr/plugins.po
===================================================================
--- locales/fr/plugins.po	(revision 2396)
+++ locales/fr/plugins.po	(revision 2398)
@@ -11,5 +11,5 @@
 "Project-Id-Version: Dotclear\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2013-09-24 07:51+0000\n"
+"POT-Creation-Date: 2013-10-04 13:51+0000\n"
 "PO-Revision-Date: 2012-11-06 10:04+0100\n"
 "Last-Translator: Franck Paul <carnet.franck.paul@gmail.com>\n"
@@ -22,4 +22,100 @@
 "X-Generator: Poedit 1.5.4\n"
 
+msgid "Manage every blog configuration directive"
+msgstr "Gestion des directives de configuration des blogs"
+
+msgid "Akismet interface for Dotclear"
+msgstr "Interface Akismet pour Dotclear"
+
+msgid "Generic antispam plugin for Dotclear"
+msgstr "Antispam générique pour Dotclear"
+
+msgid "Manage post attachments"
+msgstr "Gestion des fichiers attachés"
+
+msgid "Manage your blogroll"
+msgstr "Gestion de votre liste de liens"
+
+msgid "Configure your Blowup Theme"
+msgstr "Configurer votre thème Blowup"
+
+msgid "Install and update your plugins live from DotAddict.org"
+msgstr ""
+
+msgid "Trackback validity check"
+msgstr "Contrôle de validité des rétroliens"
+
+msgid "Import and Export your blog"
+msgstr "Importez et exportez votre blog"
+
+msgid "Maintain your installation"
+msgstr "Maintenez votre installation"
+
+msgid "Serve entries as simple web pages"
+msgstr "Publie des billets comme de simples pages web"
+
+msgid "Ping services"
+msgstr "Services de signalement"
+
+msgid "Simple menu for Dotclear"
+msgstr "Menu simple pour Dotclear"
+
+msgid "Tags for posts"
+msgstr "Mots-clés pour les billets"
+
+msgid "Theme Editor"
+msgstr "Éditeur de thème"
+
+msgid "Manage every user preference directive"
+msgstr "Gestion des préférences utilisateur"
+
+msgid "Widgets for your blog sidebars"
+msgstr "Widgets pour les volets de votre blog"
+
+msgid "Search engine form"
+msgstr "Formulaire de recherche"
+
+msgid "List of navigation links"
+msgstr "Liste des liens de navigation"
+
+msgid "List of selected entries"
+msgstr "Liste des billets sélectionnés"
+
+msgid "List of available languages"
+msgstr "Liste des langues disponibles"
+
+msgid "List of categories"
+msgstr "Liste des catégories"
+
+msgid "RSS or Atom feed subscription links"
+msgstr "Liens d'abonnements aux flux RSS ou Atom"
+
+msgid "Last entries from feed"
+msgstr "Derniers billets d'un flux"
+
+msgid "Simple text"
+msgstr "Texte simple"
+
+msgid "List of last entries published"
+msgstr "Derniers billets publiés"
+
+msgid "List of last comments posted"
+msgstr "Liste des derniers commentaires postés"
+
+msgid "Tags cloud"
+msgstr "Nuage de mots-clés"
+
+msgid "List of published pages"
+msgstr "Liste des pages publiées"
+
+msgid "Blogroll list"
+msgstr "Liste de liens"
+
+msgid "List of simple menu items"
+msgstr "Liste des éléments de menu simple"
+
+msgid "Configuration successfully updated"
+msgstr "La configuration a été mise à jour avec succès"
+
 msgid "no"
 msgstr "non"
@@ -31,10 +127,4 @@
 msgstr "about:config"
 
-msgid "Configuration successfully updated"
-msgstr "La configuration a été mise à jour avec succès"
-
-msgid "Settings definition successfully updated"
-msgstr "Les réglages ont été enregistrés avec succès"
-
 #, php-format
 msgid "Settings for %s"
@@ -142,4 +232,7 @@
 msgstr "Filtré par %1$s par le serveur %2$s."
 
+msgid "The list of DNSBL servers has been succesfully updated."
+msgstr "La liste des serveurs DNSBL a été mise à jour avec succès"
+
 msgid "IP Lookup servers"
 msgstr "Serveurs de contrôle d'IP"
@@ -230,4 +323,7 @@
 msgstr "Ce filtre n'a pas de réglages."
 
+msgid "Filters configuration has been successfully saved."
+msgstr "La configuration des filtres a été enregistrée avec succès."
+
 #, php-format
 msgid "%s configuration"
@@ -238,4 +334,7 @@
 msgstr "Configuration du filtre %s"
 
+msgid "Back to filters list"
+msgstr "Retour à la liste des filtres"
+
 msgid "Information"
 msgstr "Informations"
@@ -247,7 +346,4 @@
 msgstr "Commentaires publiés :"
 
-msgid "Filters configuration has been successfully saved."
-msgstr "La configuration des filtres a été enregistrée avec succès."
-
 msgid "Available spam filters"
 msgstr "Filtres d'indésirable disponibles"
@@ -296,4 +392,7 @@
 msgstr "Ajouter des fichiers à la page"
 
+msgid "Blogroll"
+msgstr "Liste des liens"
+
 msgid "manage blogroll"
 msgstr "Gestion de la liste des liens"
@@ -338,16 +437,16 @@
 msgstr "Pas de lien ou de titre"
 
+msgid "Link has been successfully updated"
+msgstr "Le lien a été mis à jour avec succès"
+
+msgid "Category has been successfully updated"
+msgstr "La catégorie a été mise à jour avec succès"
+
 msgid "Return to blogroll"
 msgstr "Retourner à la liste des liens"
 
-msgid "Category has been successfully updated"
-msgstr "La catégorie a été mise à jour avec succès"
-
 msgid "Edit category"
 msgstr "Modifier la catégorie"
 
-msgid "Link has been successfully updated"
-msgstr "Le lien a été mis à jour avec succès"
-
 msgid "Edit link"
 msgstr "Modifier le lien"
@@ -434,22 +533,22 @@
 msgstr "Rien à importer"
 
+msgid "links have been successfully imported."
+msgstr "Les liens ont été importés avec succès."
+
 msgid "Import operation cancelled."
 msgstr "L'importation a été annulée."
 
+msgid "Link has been successfully created."
+msgstr "Le lien a été créé avec succès."
+
+msgid "category has been successfully created."
+msgstr "La catégorie a été créée avec succès."
+
+msgid "Items have been successfully removed."
+msgstr "Les éléments ont été retirés avec succès."
+
 msgid "Items order has been successfully updated"
 msgstr "L'ordre des éléments a été mis à jour avec succès"
 
-msgid "Items have been successfully removed."
-msgstr "Les éléments ont été retirés avec succès."
-
-msgid "Link has been successfully created."
-msgstr "Le lien a été créé avec succès."
-
-msgid "category has been successfully created."
-msgstr "La catégorie a été créée avec succès."
-
-msgid "links have been successfully imported."
-msgstr "Les liens ont été importés avec succès."
-
 msgid "URL"
 msgstr "URL"
@@ -500,4 +599,7 @@
 msgstr "Personnalisé…"
 
+msgid "Theme configuration has been successfully updated."
+msgstr "La configuration du thème a été enregistrée avec succès."
+
 msgid "Blowup configuration"
 msgstr "Configuration de Blowup"
@@ -515,7 +617,4 @@
 msgstr "Pour les raisons suivantes, les images n'ont pu être créées. Vous ne pourrez pas changer certaines propriétés de fond."
 
-msgid "Theme configuration has been successfully updated."
-msgstr "La configuration du thème a été enregistrée avec succès."
-
 msgid "Customization"
 msgstr "Personnalisation"
@@ -769,7 +868,4 @@
 msgid "by"
 msgstr "par"
-
-msgid "By"
-msgstr "Par"
 
 msgid "More details"
@@ -1352,4 +1448,7 @@
 msgstr "Enregistrer ces réglages"
 
+msgid "New page"
+msgstr "Nouvelle page"
+
 #, php-format
 msgid "%d page"
@@ -1396,4 +1495,7 @@
 msgstr "Retour à la liste des pages"
 
+msgid "Selected pages have been successfully reordered."
+msgstr "Les pages sélectionnées ont été réordonnées avec succès."
+
 msgid "No page"
 msgstr "Aucune page"
@@ -1414,13 +1516,13 @@
 msgstr "Les pages sélectionnées ont été supprimées avec succès."
 
-msgid "Selected pages have been successfully reordered."
-msgstr "Les pages sélectionnées ont été réordonnées avec succès."
-
-msgid "New page"
-msgstr "Nouvelle page"
-
 msgid "Selected pages action:"
 msgstr "Action sur les pages sélectionnées :"
 
+msgid "To rearrange pages order, change number at the begining of the line, then click on “Save pages order” button."
+msgstr "Pour réordonner les pages, modifier le numéro dans le champ au début de la ligne puis cliquez sur “Enregistrer l'ordre des pages”."
+
+msgid "To rearrange pages order, move items by drag and drop, then click on “Save pages order” button."
+msgstr "Pour réordonner les pages, déplacez les items par glisser déposer puis cliquez sur “Enregistrer l'ordre des pages”."
+
 msgid "Save pages order"
 msgstr "Enregistrer l'ordre des pages"
@@ -1465,10 +1567,10 @@
 msgstr "Signalements (pings)"
 
+msgid "Settings have been successfully updated."
+msgstr "Les réglages ont été modifiés avec succès."
+
 msgid "Pings configuration"
 msgstr "Configuration des signalements"
 
-msgid "Settings have been successfully updated."
-msgstr "Les réglages ont été modifiés avec succès."
-
 msgid "Activate pings extension"
 msgstr "Activer le plugin de signalement"
@@ -1537,7 +1639,13 @@
 msgstr "Billets récent pour le mot-clé %s"
 
+msgid "Menu item has been successfully added."
+msgstr "L'item de menu a été ajouté avec succès."
+
 msgid "Label and URL of menu item are mandatory."
 msgstr "Les libellés et URL sont obligatoires."
 
+msgid "Menu items have been successfully removed."
+msgstr "Le ou les items de menu ont été supprimés avec succès."
+
 msgid "No menu items selected."
 msgstr "Aucun item de menu sélectionné."
@@ -1549,16 +1657,19 @@
 msgstr "l’URL est obligatoire."
 
+msgid "Menu items have been successfully updated."
+msgstr "Le ou les items de menu ont été mis à jour avec succès."
+
+msgid "Step #1"
+msgstr "Étape 1"
+
+msgid "Step #2"
+msgstr "Étape 2"
+
+msgid "Step #3"
+msgstr "Étape 3"
+
 msgid "Add item"
 msgstr "Ajouter un item de menu"
 
-msgid "Menu item has been successfully added."
-msgstr "L'item de menu a été ajouté avec succès."
-
-msgid "Menu items have been successfully removed."
-msgstr "Le ou les items de menu ont été supprimés avec succès."
-
-msgid "Menu items have been successfully updated."
-msgstr "Le ou les items de menu ont été mis à jour avec succès."
-
 msgid "Select type"
 msgstr "Sélection du type"
@@ -1621,4 +1732,9 @@
 msgstr "Retirer des mots-clés"
 
+msgid "Tag has been successfully added to selected entries"
+msgid_plural "Tags have been successfully added to selected entries"
+msgstr[0] "Le mot-clé a été ajouté avec succès des entrées sélectionnées"
+msgstr[1] "Les mot-clés ont été ajoutés avec succès des entrées sélectionnées"
+
 msgid "Add tags to this selection"
 msgstr "Ajouter des mots-clés à cette sélection"
@@ -1653,4 +1769,9 @@
 msgstr "Mots-clés à ajouter :"
 
+msgid "Tag has been successfully removed from selected entries"
+msgid_plural "Tags have been successfully removed from selected entries"
+msgstr[0] "Le mot-clé a été retiré avec succès des entrées sélectionnées"
+msgstr[1] "Les mot-clés ont été retirés avec succès des entrées sélectionnées"
+
 msgid "No tags for selected entries"
 msgstr "Aucun mot-clé pour les billets sélectionnés"
@@ -1692,17 +1813,17 @@
 msgstr "Lien vers tous les mots-clés :"
 
+msgid "Tag has been successfully renamed"
+msgstr "Le mot-clé a été renommé avec succès"
+
+msgid "Tag has been successfully removed"
+msgstr "Le mot-clé a été retiré avec succès"
+
 #, php-format
 msgid "Are you sure you want to remove tag: “%s”?"
 msgstr "Êtes-vous sûr de vouloir supprimer le mot-clé “%s” ?"
 
-msgid "Tag has been successfully renamed"
-msgstr "Le mot-clé a été renommé avec succès"
-
 msgid "Back to tags list"
 msgstr "Retour à la liste des mots-clés"
 
-msgid "Edit tag name:"
-msgstr "Renommer ce mot-clé :"
-
 msgid "Rename"
 msgstr "Renommer"
@@ -1715,7 +1836,4 @@
 msgstr "Liste des billets avec le mot-clé “%s”"
 
-msgid "Tag has been successfully removed"
-msgstr "Le mot-clé a été retiré avec succès"
-
 msgid "No tags on this blog."
 msgstr "Aucun mot-clé sur ce blog."
@@ -1782,13 +1900,10 @@
 msgstr "Fichiers de traduction"
 
+msgid "Preferences successfully updated"
+msgstr "Préférences mises à jour avec succès"
+
 msgid "user:preferences"
 msgstr "user:preferences"
 
-msgid "Preferences successfully updated"
-msgstr "Préférences mises à jour avec succès"
-
-msgid "Preferences definition successfully updated"
-msgstr "Définition des préférences mise à jour avec succès"
-
 msgid "User preferences"
 msgstr "Préférences utilisateur"
@@ -1818,4 +1933,7 @@
 msgstr "Avec le nombre de billets"
 
+msgid "Include sub cats in count"
+msgstr ""
+
 msgid "Include empty categories"
 msgstr "Inclure les catégories vides"
@@ -1895,6 +2013,6 @@
 msgstr "Widgets disponibles"
 
-msgid "Drag widgets from this list to one of the sidebars, for add."
-msgstr "Déplacez des widgets de cette liste vers l'un des volets, pour les ajouter."
+msgid "Move widgets from this list to one of the sidebars."
+msgstr "Déplacez des widgets de cette liste vers l'un des volets."
 
 msgid "order"
@@ -1976,102 +2094,27 @@
 msgstr "Nom de l'élément de réglage :"
 
-msgid "No widget for now."
-msgstr "Aucun widget pour le moment."
+msgid "No widget."
+msgstr "Aucun widget."
 
 msgid "Remove widget"
 msgstr "Retirer le widget"
 
-msgid "Drag widgets here to remove."
-msgstr "Glisser les widgets ici pour les retirer."
-
-#~ msgid "Manage every blog configuration directive"
-#~ msgstr "Gestion des directives de configuration des blogs"
-
-#~ msgid "Akismet interface for Dotclear"
-#~ msgstr "Interface Akismet pour Dotclear"
-
-#~ msgid "Generic antispam plugin for Dotclear"
-#~ msgstr "Antispam générique pour Dotclear"
-
-#~ msgid "Manage post attachments"
-#~ msgstr "Gestion des fichiers attachés"
-
-#~ msgid "Manage your blogroll"
-#~ msgstr "Gestion de votre liste de liens"
-
-#~ msgid "Configure your Blowup Theme"
-#~ msgstr "Configurer votre thème Blowup"
-
-#~ msgid "Trackback validity check"
-#~ msgstr "Contrôle de validité des rétroliens"
-
-#~ msgid "Import and Export your blog"
-#~ msgstr "Importez et exportez votre blog"
-
-#~ msgid "Maintain your installation"
-#~ msgstr "Maintenez votre installation"
-
-#~ msgid "Serve entries as simple web pages"
-#~ msgstr "Publie des billets comme de simples pages web"
-
-#~ msgid "Ping services"
-#~ msgstr "Services de signalement"
-
-#~ msgid "Simple menu for Dotclear"
-#~ msgstr "Menu simple pour Dotclear"
-
-#~ msgid "Tags for posts"
-#~ msgstr "Mots-clés pour les billets"
-
-#~ msgid "Theme Editor"
-#~ msgstr "Éditeur de thème"
-
-#~ msgid "Manage every user preference directive"
-#~ msgstr "Gestion des préférences utilisateur"
-
-#~ msgid "Widgets for your blog sidebars"
-#~ msgstr "Widgets pour les volets de votre blog"
-
-#~ msgid "Search engine form"
-#~ msgstr "Formulaire de recherche"
-
-#~ msgid "List of navigation links"
-#~ msgstr "Liste des liens de navigation"
-
-#~ msgid "List of selected entries"
-#~ msgstr "Liste des billets sélectionnés"
-
-#~ msgid "List of available languages"
-#~ msgstr "Liste des langues disponibles"
-
-#~ msgid "List of categories"
-#~ msgstr "Liste des catégories"
-
-#~ msgid "RSS or Atom feed subscription links"
-#~ msgstr "Liens d'abonnements aux flux RSS ou Atom"
-
-#~ msgid "Last entries from feed ( RSS or Atom )"
-#~ msgstr "Derniers billets du flux (RSS ou Atom)"
-
-#~ msgid "Simple text"
-#~ msgstr "Texte simple"
-
-#~ msgid "List of last entries published"
-#~ msgstr "Derniers billets publiés"
-
-#~ msgid "List of last comments posted"
-#~ msgstr "Liste des derniers commentaires postés"
-
-#~ msgid "Tags cloud"
-#~ msgstr "Nuage de mots-clés"
-
-#~ msgid "List of published pages"
-#~ msgstr "Liste des pages publiées"
-
-#~ msgid "Blogroll list"
-#~ msgstr "Liste de liens"
-
-#~ msgid "List of simple menu items"
-#~ msgstr "Liste des éléments de menu simple"
+msgid "Drag widgets here to remove them from this sidebar."
+msgstr "Glisser les widgets ici pour les retirer du volet."
+
+#~ msgid "Pages"
+#~ msgstr "Pages"
+
+#~ msgid "Settings definition successfully updated"
+#~ msgstr "Les réglages ont été enregistrés avec succès"
+
+#~ msgid "By"
+#~ msgstr "Par"
+
+#~ msgid "Edit tag name:"
+#~ msgstr "Renommer ce mot-clé :"
+
+#~ msgid "Preferences definition successfully updated"
+#~ msgstr "Définition des préférences mise à jour avec succès"
 
 #~ msgid "Use different periods for each task"
@@ -2090,13 +2133,7 @@
 #~ msgstr "Aide pour cette page"
 
-#~ msgid "Blogroll"
-#~ msgstr "Liste des liens"
-
 #~ msgid "Show maintenance tasks to update."
 #~ msgstr "Afficher les tâches de maintenance à mettre à jour."
 
-#~ msgid "Pages"
-#~ msgstr "Pages"
-
 #~ msgid "File is empty or not a compressed file."
 #~ msgstr "Le fichier est vide ou n'est pas un fichier compressé."
@@ -2236,20 +2273,2 @@
 #~ msgid "Blog settings"
 #~ msgstr "Paramètres du blog"
-
-msgid "To rearrange pages order, move items by drag and drop, then click on “Save pages order” button."
-msgstr "Pour réordonner les pages, déplacez les items par glisser déposer puis cliquez sur “Enregistrer l'ordre des pages”."
-
-msgid "To rearrange pages order, change number at the begining of the line, then click on “Save pages order” button."
-msgstr "Pour réordonner les pages, modifier le numéro dans le champ au début de la ligne puis cliquez sur “Enregistrer l'ordre des pages”."
-
-msgid "Step #1"
-msgstr "Étape 1"
-
-msgid "Step #2"
-msgstr "Étape 2"
-
-msgid "Step #3"
-msgstr "Étape 3"
-
-msgid "Back to filters list"
-msgstr "Retour à la liste des filtres"