Index: locales/fr/plugins.po
===================================================================
--- locales/fr/plugins.po	(revision 2411)
+++ locales/fr/plugins.po	(revision 2415)
@@ -11,5 +11,5 @@
 "Project-Id-Version: Dotclear\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2013-10-08 07:23+0000\n"
+"POT-Creation-Date: 2013-10-17 07:12+0200\n"
 "PO-Revision-Date: 2012-11-06 10:04+0100\n"
 "Last-Translator: Franck Paul <carnet.franck.paul@gmail.com>\n"
@@ -88,9 +88,9 @@
 msgstr "Liste des catégories"
 
-msgid "Feed subscription links (RSS or Atom)"
-msgstr "Liens de souscription aux flux (RSS ou Atom)"
-
-msgid "List of last entries from feed (RSS or Atom)"
-msgstr "Liste des derniers billets d'un flux (RSS or Atom)"
+msgid "RSS or Atom feed subscription links"
+msgstr "Liens d'abonnement aux flux RSS ou Atom"
+
+msgid "Last entries from feed"
+msgstr "Flux des derniers billets"
 
 msgid "Simple text"
@@ -100,5 +100,5 @@
 msgstr "Liste des derniers billets publiés"
 
-msgid "List of last comments published"
+msgid "List of last comments posted"
 msgstr "Liste des derniers commentaires publiés"
 
@@ -116,5 +116,5 @@
 
 msgid "Configuration successfully updated"
-msgstr "La configuration a été mise à jour avec succès"
+msgstr "La configuration a été mise à jour"
 
 msgid "no"
@@ -151,5 +151,5 @@
 
 msgid "Filter configuration have been successfully saved."
-msgstr "La configuration du filtre a été enregistrée avec succès."
+msgstr "La configuration du filtre a été enregistrée."
 
 msgid "Akismet API key:"
@@ -165,4 +165,7 @@
 msgstr "Obtenez votre propre clé API"
 
+msgid "Antispam"
+msgstr "Antispam"
+
 #, php-format
 msgid "All spam comments older than %s day(s) will be automatically deleted."
@@ -190,8 +193,8 @@
 
 msgid "IP address has been successfully added."
-msgstr "L'adresse IP a été ajoutée avec succès."
+msgstr "L'adresse IP a été ajoutée."
 
 msgid "IP addresses have been successfully removed."
-msgstr "L'adresse IP a été retirée avec succès."
+msgstr "L'adresse IP a été retirée."
 
 msgid "Blacklist"
@@ -230,5 +233,5 @@
 
 msgid "The list of DNSBL servers has been succesfully updated."
-msgstr "La liste des serveurs DNSBL a été mise à jour avec succès"
+msgstr "La liste des serveurs DNSBL a été mise à jour."
 
 msgid "IP Lookup servers"
@@ -249,11 +252,11 @@
 
 msgid "Words have been successfully added."
-msgstr "Les mots ont été ajoutés avec succès."
+msgstr "Les mots ont été ajoutés."
 
 msgid "Word has been successfully added."
-msgstr "Le mot a été ajouté avec succès."
+msgstr "Le mot a été ajouté."
 
 msgid "Words have been successfully removed."
-msgstr "Les mots ont été retirés avec succès."
+msgstr "Les mots ont été retirés."
 
 msgid "Add a word "
@@ -321,5 +324,5 @@
 
 msgid "Filters configuration has been successfully saved."
-msgstr "La configuration des filtres a été enregistrée avec succès."
+msgstr "La configuration des filtres a été enregistrée."
 
 #, php-format
@@ -389,4 +392,7 @@
 msgstr "Ajouter des fichiers à la page"
 
+msgid "Blogroll"
+msgstr "Liste des liens"
+
 msgid "manage blogroll"
 msgstr "Gestion de la liste des liens"
@@ -395,4 +401,7 @@
 msgstr "Liens"
 
+msgid "Title (optional)"
+msgstr ""
+
 msgid "All categories"
 msgstr "Toutes les catégories"
@@ -432,8 +441,8 @@
 
 msgid "Link has been successfully updated"
-msgstr "Le lien a été mis à jour avec succès"
+msgstr "Le lien a été mis à jour."
 
 msgid "Category has been successfully updated"
-msgstr "La catégorie a été mise à jour avec succès"
+msgstr "La catégorie a été mise à jour."
 
 msgid "Return to blogroll"
@@ -528,5 +537,5 @@
 
 msgid "links have been successfully imported."
-msgstr "Les liens ont été importés avec succès."
+msgstr "Les liens ont été importés."
 
 msgid "Import operation cancelled."
@@ -534,14 +543,14 @@
 
 msgid "Link has been successfully created."
-msgstr "Le lien a été créé avec succès."
+msgstr "Le lien a été créé."
 
 msgid "category has been successfully created."
-msgstr "La catégorie a été créée avec succès."
+msgstr "La catégorie a été créée."
 
 msgid "Items have been successfully removed."
-msgstr "Les éléments ont été retirés avec succès."
+msgstr "Les éléments ont été retirés."
 
 msgid "Items order has been successfully updated"
-msgstr "L'ordre des éléments a été mis à jour avec succès"
+msgstr "L'ordre des éléments a été mis à jour."
 
 msgid "URL"
@@ -594,5 +603,5 @@
 
 msgid "Theme configuration has been successfully updated."
-msgstr "La configuration du thème a été enregistrée avec succès."
+msgstr "La configuration du thème a été enregistrée."
 
 msgid "Blowup configuration"
@@ -832,4 +841,7 @@
 msgstr "Contrôle si la source du rétrolien comporte un lien vers le billet"
 
+msgid "Import/Export"
+msgstr "Import/Export"
+
 msgid "Flat file export"
 msgstr "Fichier d'exportation « à plat »"
@@ -870,5 +882,5 @@
 
 msgid "Your blog has been successfully imported. Welcome on Dotclear 2!"
-msgstr "Votre blog a été importé avec succès. Bienvenue sur Dotclear 2 !"
+msgstr "Votre blog a été importé. Bienvenue sur Dotclear 2 !"
 
 msgid "Why don't you blog this now?"
@@ -954,5 +966,5 @@
 
 msgid "Content successfully imported."
-msgstr "Le contenu a été importé avec succès."
+msgstr "Le contenu a été importé."
 
 #, php-format
@@ -970,5 +982,5 @@
 
 msgid "Single blog successfully imported."
-msgstr "Blog importé avec succès."
+msgstr "Le blog a été importé."
 
 msgid "Are you sure you want to import a full backup file?"
@@ -1078,4 +1090,7 @@
 msgid "Export functions are in the page %s."
 msgstr "Les fonctions d'export sont dans la page de %s."
+
+msgid "Maintenance"
+msgstr "Maintenance"
 
 msgid "Servicing"
@@ -1143,9 +1158,138 @@
 msgstr "Gérer les tâches"
 
-msgid "Display count of late tasks on maintenance dashboard icon"
+msgid "Display overdue tasks counter on maintenance dashboard icon"
 msgstr "Afficher le nombre de tâches en retard sur l'icône Maintenance du tableau de bord"
 
-msgid "Display list of late tasks on dashboard items"
+msgid "Display overdue tasks list on dashboard items"
 msgstr "Afficher la liste des tâches en retard dans un module du tableau de bord"
+
+msgid "Failed to execute task."
+msgstr "Impossible d'exécuter la tâche."
+
+msgid "Task successfully executed."
+msgstr "La tâche a été exécutée."
+
+msgid "Empty templates cache directory"
+msgstr "Vider le répertoire de cache des « templates »"
+
+msgid "Templates cache directory emptied."
+msgstr "Le répertoire de cache des « templates » a été vidé."
+
+msgid "Failed to empty templates cache directory."
+msgstr "Impossible de vider le répertoire de cache des « templates »."
+
+msgid "It may be useful to empty this cache when modifying a theme's .html or .css files (or when updating a theme or plugin). Notice : with some hosters, the templates cache cannot be emptied with this plugin. You may then have to delete the directory <strong>/cbtpl/</strong> directly on the server with your FTP software."
+msgstr "La suppression du répertoire du cache des templates peut se révéler nécessaire lors de modifications dans les fichiers .html ou .css d'un thème (voire lors d'un changement de thème ou de mise à jour de plugin). Attention : chez certains hébergeurs (Free par exemple), le cache du répertoire des templates ne peut pas être vidé grâce à l'extension Maintenance, il faut supprimer le répertoire <strong>cbtpl</strong> situé dans le répertoire cache (dotclear/cache par défaut) avec un logiciel FTP."
+
+msgid "Count again comments and trackbacks"
+msgstr "Recompter les commentaires et rétroliens"
+
+msgid "Comments and trackback counted."
+msgstr "Les commentaires et rétroliens ont été recomptés."
+
+msgid "Failed to count comments and trackbacks."
+msgstr "Impossible de recompter les commentaires et rétroliens."
+
+msgid "Count again comments and trackbacks allows to check their exact numbers. This operation can be useful when importing from another blog platform (or when migrating from dotclear 1 to dotclear 2)."
+msgstr "Recompter commentaires et des rétroliens a pour effet de donner le nombre exact de ceux-ci pour chaque billet. Cette opération peut se révéler utile lors de l'import d'un blog d'une autre plateforme (ou d'une migration de Dotclear 1 vers Dotclear 2)."
+
+msgid "Search engine index"
+msgstr "Index du moteur de recherche"
+
+msgid "Index all comments for search engine"
+msgstr "Indexer tous les commentaires pour le moteur de recherche"
+
+msgid "Next"
+msgstr "Suivant"
+
+#, php-format
+msgid "Indexing comment %d to %d."
+msgstr "Indexation des commentaires %d à %d."
+
+msgid "Comments index done."
+msgstr "L'indexation des commentaires a été effectuée."
+
+msgid "Failed to index comments."
+msgstr "Impossible d'indexer les commentaires."
+
+msgid "Index all comments and trackbacks in search engine index. This operation is necessary, after importing content in your blog, to use internal search engine, on public and private pages."
+msgstr "Indexer tous les commentaires et rétroliens dans le moteur de recherche. Cette opération s'effectue généralement suite à un import afin d'obtenir des résultats lors des recherches, aussi bien depuis l'administration du blog qu'en partie publique."
+
+msgid "Index all entries for search engine"
+msgstr "Indexer tous les billets pour le moteur de recherche"
+
+#, php-format
+msgid "Indexing entry %d to %d."
+msgstr "Indexation des billets %d à %d."
+
+msgid "Entries index done."
+msgstr "L'indexation des billets a été effectuée."
+
+msgid "Failed to index entries."
+msgstr "Impossible d'indexer les billets."
+
+msgid "Index all entries in search engine index. This operation is necessary, after importing content in your blog, to use internal search engine, on public and private pages."
+msgstr "Indexer tous les billets dans le moteur de recherche. Cette opération s'effectue généralement suite à un import afin d'obtenir des résultats lors des recherches, aussi bien depuis l'administration du blog qu'en partie publique."
+
+msgid "Delete all logs"
+msgstr "Supprimer tous les journaux (logs)"
+
+msgid "Logs deleted."
+msgstr "Les journaux ont été supprimés."
+
+msgid "Failed to delete logs."
+msgstr "Impossible de supprimer les journaux."
+
+msgid "Logs record all activity and connection to your blog history. Unless you need to keep this history, consider deleting these logs from time to time."
+msgstr "Sauf si vous avez un besoin précis de conservation des activités de connexion sur votre blog, pensez à vider régulièrement la table des journaux : elle contient l'enregistrement de chaque connexion à l'administration et des opérations qui s'y sont déroulées."
+
+msgid "Entries metadata"
+msgstr "Métadonnées des billets"
+
+msgid "Synchronize entries metadata"
+msgstr "Synchroniser les métadonnées des billets"
+
+#, php-format
+msgid "Synchronize entry %d to %d."
+msgstr "Synchronisation des billets %d à %d."
+
+msgid "Entries metadata synchronize done."
+msgstr "La synchronisation des métadonnées des billets a été effectuée."
+
+msgid "Failed to synchronize entries metadata."
+msgstr "Impossible de synchroniser les métadonnées des billets."
+
+msgid "Synchronize all entries metadata could be useful after importing content in your blog or do bad operation on database tables."
+msgstr "La synchronisation des métadonnées des billets peut être utile après l'import de contenu dans votre blog ou après une mauvaise opération sur la base de données."
+
+msgid "Optimise database"
+msgstr "Optimise la base de données"
+
+msgid "optimize tables"
+msgstr "Optimiser les tables"
+
+msgid "Optimization successful."
+msgstr "L'optimisation a été effectuée."
+
+msgid "Failed to optimize tables."
+msgstr "Impossible d'optimiser les tables."
+
+msgid "After numerous delete or update operations on Dotclear's database, it gets fragmented. Optimizing will allow to defragment it. It has no incidence on your data's integrity. It is recommended to optimize before any blog export."
+msgstr "Au fur at à mesure des suppressions ou modifications dans vos billets, les tables de la base de données se fragmentent. L'opération d'optimisation permet de compacter celles-ci. Cette opération n'a aucun impact sur l'intégrité de vos données. Il est fortement conseillé d'optimiser la base de données avant tout export de blog."
+
+msgid "Download media folder of current blog"
+msgstr "Télécharger la médiathèque du blog courant"
+
+msgid "It may be useful to backup your media folder. This compress all content of media folder into a single zip file. Notice : with some hosters, the media folder cannot be compressed with this plugin if it is too big."
+msgstr "Il peut être utile de sauvegarder votre médiathèque. Ceci comprime tout le contenu du répertoire de média dans un seul fichier Zip. Remarque : chez certains hébergeurs, la médiathèque ne peut pas être compressée avec ce plugin si elle est trop grande."
+
+msgid "Download active theme of current blog"
+msgstr "Télécharger le theme actif du blog courant"
+
+msgid "It may be useful to backup the active theme before any change or update. This compress theme folder into a single zip file."
+msgstr "Il peut être utile de sauvegarder le thème courant avant tout changement ou mise à jour. Ceci comprime tout le contenu du répertoire du thème dans un seul fichier Zip."
+
+msgid "Maintenance plugin has been successfully configured."
+msgstr "La configuration du plugin de maintenance a été enregistrée."
 
 msgid "Never"
@@ -1164,9 +1308,18 @@
 msgstr "Tous les deux mois"
 
-msgid "Maintenance plugin has been successfully configured."
-msgstr "Le plugin de maintenance a été configuré avec succès"
-
-msgid "Set up reminders for maintenance tasks."
-msgstr "Définir les rappels pour les tâches de maintenance."
+msgid "You have not sufficient permissions to view this page."
+msgstr "Vous n'avez pas les autorisations suffisantes pour accéder à cette page."
+
+msgid "You should execute it now."
+msgstr "Vous devriez l'exécuter dès maintenant."
+
+msgid "Execute task"
+msgstr "Exécuter cette tâche"
+
+msgid "This may take a very long time."
+msgstr "Cela peut prendre un certain temps."
+
+msgid "Alert settings"
+msgstr "Réglage des alertes"
 
 msgid "Activation"
@@ -1192,145 +1345,4 @@
 msgstr "Utiliser un délai de rappel différent pour chaque tâche"
 
-msgid "Failed to execute task."
-msgstr "Impossible d'exécuter la tâche."
-
-msgid "Task successfully executed."
-msgstr "La tâche a été exécutée avec succès."
-
-msgid "Empty templates cache directory"
-msgstr "Vider le répertoire de cache des « templates »"
-
-msgid "Templates cache directory emptied."
-msgstr "Le répertoire de cache des « templates » a été vidé."
-
-msgid "Failed to empty templates cache directory."
-msgstr "Impossible de vider le répertoire de cache des « templates »."
-
-msgid "It may be useful to empty this cache when modifying a theme's .html or .css files (or when updating a theme or plugin). Notice : with some hosters, the templates cache cannot be emptied with this plugin. You may then have to delete the directory <strong>/cbtpl/</strong> directly on the server with your FTP software."
-msgstr "La suppression du répertoire du cache des templates peut se révéler nécessaire lors de modifications dans les fichiers .html ou .css d'un thème (voire lors d'un changement de thème ou de mise à jour de plugin). Attention : chez certains hébergeurs (Free par exemple), le cache du répertoire des templates ne peut pas être vidé grâce à l'extension Maintenance, il faut supprimer le répertoire <strong>cbtpl</strong> situé dans le répertoire cache (dotclear/cache par défaut) avec un logiciel FTP."
-
-msgid "Count again comments and trackbacks"
-msgstr "Recompter les commentaires et rétroliens"
-
-msgid "Comments and trackback counted."
-msgstr "Les commentaires et rétroliens ont été recomptés."
-
-msgid "Failed to count comments and trackbacks."
-msgstr "Impossible de recompter les commentaires et rétroliens."
-
-msgid "Count again comments and trackbacks allows to check their exact numbers. This operation can be useful when importing from another blog platform (or when migrating from dotclear 1 to dotclear 2)."
-msgstr "Recompter commentaires et des rétroliens a pour effet de donner le nombre exact de ceux-ci pour chaque billet. Cette opération peut se révéler utile lors de l'import d'un blog d'une autre plateforme (ou d'une migration de Dotclear 1 vers Dotclear 2)."
-
-msgid "Search engine index"
-msgstr "Index du moteur de recherche"
-
-msgid "Index all comments for search engine"
-msgstr "Indexer tous les commentaires pour le moteur de recherche"
-
-msgid "Next"
-msgstr "Suivant"
-
-#, php-format
-msgid "Indexing comment %d to %d."
-msgstr "Indexation des commentaires %d à %d."
-
-msgid "Comments index done."
-msgstr "L'indexation des commentaires a été effectuée."
-
-msgid "Failed to index comments."
-msgstr "Impossible d'indexer les commentaires."
-
-msgid "Index all comments and trackbacks in search engine index. This operation is necessary, after importing content in your blog, to use internal search engine, on public and private pages."
-msgstr "Indexer tous les commentaires et rétroliens dans le moteur de recherche. Cette opération s'effectue généralement suite à un import afin d'obtenir des résultats lors des recherches, aussi bien depuis l'administration du blog qu'en partie publique."
-
-msgid "Index all entries for search engine"
-msgstr "Indexer tous les billets pour le moteur de recherche"
-
-#, php-format
-msgid "Indexing entry %d to %d."
-msgstr "Indexation des billets %d à %d."
-
-msgid "Entries index done."
-msgstr "L'indexation des billets a été effectuée."
-
-msgid "Failed to index entries."
-msgstr "Impossible d'indexer les billets."
-
-msgid "Index all entries in search engine index. This operation is necessary, after importing content in your blog, to use internal search engine, on public and private pages."
-msgstr "Indexer tous les billets dans le moteur de recherche. Cette opération s'effectue généralement suite à un import afin d'obtenir des résultats lors des recherches, aussi bien depuis l'administration du blog qu'en partie publique."
-
-msgid "Delete all logs"
-msgstr "Supprimer tous les journaux (logs)"
-
-msgid "Logs deleted."
-msgstr "Les journaux ont été supprimés."
-
-msgid "Failed to delete logs."
-msgstr "Impossible de supprimer les journaux."
-
-msgid "Logs record all activity and connection to your blog history. Unless you need to keep this history, consider deleting these logs from time to time."
-msgstr "Sauf si vous avez un besoin précis de conservation des activités de connexion sur votre blog, pensez à vider régulièrement la table des journaux : elle contient l'enregistrement de chaque connexion à l'administration et des opérations qui s'y sont déroulées."
-
-msgid "Entries metadata"
-msgstr "Métadonnées des billets"
-
-msgid "Synchronize entries metadata"
-msgstr "Synchroniser les métadonnées des billets"
-
-#, php-format
-msgid "Synchronize entry %d to %d."
-msgstr "Synchronisation des billets %d à %d."
-
-msgid "Entries metadata synchronize done."
-msgstr "La synchronisation des métadonnées des billets a été effectuée."
-
-msgid "Failed to synchronize entries metadata."
-msgstr "Impossible de synchroniser les métadonnées des billets."
-
-msgid "Synchronize all entries metadata could be useful after importing content in your blog or do bad operation on database tables."
-msgstr "La synchronisation des métadonnées des billets peut être utile après l'import de contenu dans votre blog ou après une mauvaise opération sur la base de données."
-
-msgid "Optimise database"
-msgstr "Optimise la base de données"
-
-msgid "optimize tables"
-msgstr "Optimiser les tables"
-
-msgid "Optimization successful."
-msgstr "Optimisation terminée avec succès."
-
-msgid "Failed to optimize tables."
-msgstr "Impossible d'optimiser les tables."
-
-msgid "After numerous delete or update operations on Dotclear's database, it gets fragmented. Optimizing will allow to defragment it. It has no incidence on your data's integrity. It is recommended to optimize before any blog export."
-msgstr "Au fur at à mesure des suppressions ou modifications dans vos billets, les tables de la base de données se fragmentent. L'opération d'optimisation permet de compacter celles-ci. Cette opération n'a aucun impact sur l'intégrité de vos données. Il est fortement conseillé d'optimiser la base de données avant tout export de blog."
-
-msgid "Download media folder of current blog"
-msgstr "Télécharger la médiathèque du blog courant"
-
-msgid "It may be useful to backup your media folder. This compress all content of media folder into a single zip file. Notice : with some hosters, the media folder cannot be compressed with this plugin if it is too big."
-msgstr "Il peut être utile de sauvegarder votre médiathèque. Ceci comprime tout le contenu du répertoire de média dans un seul fichier Zip. Remarque : chez certains hébergeurs, la médiathèque ne peut pas être compressée avec ce plugin si elle est trop grande."
-
-msgid "Download active theme of current blog"
-msgstr "Télécharger le theme actif du blog courant"
-
-msgid "It may be useful to backup the active theme before any change or update. This compress theme folder into a single zip file."
-msgstr "Il peut être utile de sauvegarder le thème courant avant tout changement ou mise à jour. Ceci comprime tout le contenu du répertoire du thème dans un seul fichier Zip."
-
-msgid "You have not sufficient permissions to view this page."
-msgstr "Vous n'avez pas les autorisations suffisantes pour accéder à cette page."
-
-msgid "Settings successfully updated"
-msgstr "Les réglages ont été mis à jour avec succès"
-
-msgid "You should execute it now."
-msgstr "Vous devriez l'exécuter dès maintenant."
-
-msgid "Execute task"
-msgstr "Exécuter cette tâche"
-
-msgid "This may take a very long time."
-msgstr "Cela peut prendre un certain temps."
-
 msgid "New page"
 msgstr "Nouvelle page"
@@ -1378,5 +1390,5 @@
 
 msgid "Selected pages have been successfully reordered."
-msgstr "Les pages sélectionnées ont été réordonnées avec succès."
+msgstr "Les pages sélectionnées ont été réordonnées."
 
 msgid "No page"
@@ -1393,8 +1405,8 @@
 
 msgid "Selected pages have been successfully updated."
-msgstr "Les pages sélectionnées ont été modifiées avec succès."
+msgstr "Les pages sélectionnées ont été modifiées."
 
 msgid "Selected pages have been successfully deleted."
-msgstr "Les pages sélectionnées ont été supprimées avec succès."
+msgstr "Les pages sélectionnées ont été supprimées."
 
 msgid "Selected pages action:"
@@ -1420,8 +1432,8 @@
 
 msgid "Page has been successfully updated."
-msgstr "La page a été modifiée avec succès."
+msgstr "La page a été modifiée."
 
 msgid "Page has been successfully created."
-msgstr "La page a été créée avec succès."
+msgstr "La page a été créée."
 
 msgid "Go to this page on the site"
@@ -1450,5 +1462,5 @@
 
 msgid "Settings have been successfully updated."
-msgstr "Les réglages ont été modifiés avec succès."
+msgstr "Les réglages ont été enregistrés."
 
 msgid "Pings configuration"
@@ -1473,4 +1485,7 @@
 msgstr "Tout sélectionner"
 
+msgid "Simple menu"
+msgstr "Menu simple"
+
 msgid "All months"
 msgstr "Tous les mois"
@@ -1488,4 +1503,7 @@
 msgstr "Page"
 
+msgid "Tags"
+msgstr "Mots-clés"
+
 msgid "User defined"
 msgstr "Saisie libre"
@@ -1516,5 +1534,5 @@
 
 msgid "Menu item has been successfully added."
-msgstr "L'item de menu a été ajouté avec succès."
+msgstr "L'item de menu a été ajouté."
 
 msgid "Label and URL of menu item are mandatory."
@@ -1522,5 +1540,5 @@
 
 msgid "Menu items have been successfully removed."
-msgstr "Le ou les items de menu ont été supprimés avec succès."
+msgstr "Le ou les items de menu ont été supprimés."
 
 msgid "No menu items selected."
@@ -1534,5 +1552,5 @@
 
 msgid "Menu items have been successfully updated."
-msgstr "Le ou les items de menu ont été mis à jour avec succès."
+msgstr "Le ou les items de menu ont été mis à jour."
 
 msgid "Step #1"
@@ -1610,6 +1628,6 @@
 msgid "Tag has been successfully added to selected entries"
 msgid_plural "Tags have been successfully added to selected entries"
-msgstr[0] "Le mot-clé a été ajouté avec succès des entrées sélectionnées"
-msgstr[1] "Les mot-clés ont été ajoutés avec succès des entrées sélectionnées"
+msgstr[0] "Le mot-clé a été ajouté aux entrées sélectionnées"
+msgstr[1] "Les mot-clés ont été ajoutés aux entrées sélectionnées"
 
 msgid "Add tags to this selection"
@@ -1647,6 +1665,6 @@
 msgid "Tag has been successfully removed from selected entries"
 msgid_plural "Tags have been successfully removed from selected entries"
-msgstr[0] "Le mot-clé a été retiré avec succès des entrées sélectionnées"
-msgstr[1] "Les mot-clés ont été retirés avec succès des entrées sélectionnées"
+msgstr[0] "Le mot-clé a été retiré des entrées sélectionnées"
+msgstr[1] "Les mot-clés ont été retirés des entrées sélectionnées"
 
 msgid "No tags for selected entries"
@@ -1690,8 +1708,8 @@
 
 msgid "Tag has been successfully renamed"
-msgstr "Le mot-clé a été renommé avec succès"
+msgstr "Le mot-clé a été renommé."
 
 msgid "Tag has been successfully removed"
-msgstr "Le mot-clé a été retiré avec succès"
+msgstr "Le mot-clé a été retiré."
 
 #, php-format
@@ -1718,5 +1736,5 @@
 msgstr "Modifier les fichiers du thème"
 
-msgid "Syntax color for theme editor"
+msgid "Syntax highlighting in theme editor"
 msgstr "Coloration syntaxique de l'éditeur de thème"
 
@@ -1777,5 +1795,5 @@
 
 msgid "Preferences successfully updated"
-msgstr "Préférences mises à jour avec succès"
+msgstr "Les préférences ont été mises à jour."
 
 msgid "user:preferences"
@@ -1890,5 +1908,5 @@
 
 msgid "Drag widgets from this list to one of the sidebars, for add."
-msgstr "Déplacez des widgets de cette liste vers l'un des volets, pour les ajouter."
+msgstr "Déplacez des widgets de cette liste vers l'un des volets."
 
 msgid "order"
@@ -1916,37 +1934,4 @@
 msgstr "Réinitialiser les volets"
 
-msgid "Use of widgets"
-msgstr "Utilisation des widgets"
-
-msgid "Widgets may be used to add various blocks of content to be displayed on your public pages. To add a widget, drag it from the Available widgets list on the left to one of the sidebars on the right of this page. You can order your widgets in a sidebar by dragging them up or down. You must update sidebars to apply your changes."
-msgstr "Les widgets sont utilisés pour ajouter des blocs de contenus divers dans vos pages publiques. Pour ajouter un widget, faites-le glisser depuis la liste des Widgets disponibles à gauche jusqu'à l'un des volets sur la droite de la page. Vous pouvez ré-ordonner vos widgets dans un volet en le faisant glisser vers le haut ou vers le bas. Vous devez mettre à jour les volets pour enregistrer vos modifications."
-
-msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the arrow next to their name."
-msgstr "Une fois inclus dans un volet, les widgets ont généralement des options que vous pouvez configurer. Cliquez sur la flèche à côté de leur nom pour y accéder."
-
-msgid "Reset sidebars to get back to default widgets installation."
-msgstr "Réinitialisez les volets pour retrouver les widgets par défaut de votre installation."
-
-msgid "Widget templates tags"
-msgstr "Balises de widget"
-
-msgid "If you are allowed to edit your theme templates, you can directly add widgets as templates tags, with their own configuration."
-msgstr "Si vous êtes autorisé à modifier vos fichiers de thème, vous pouvez ajouter des widgets sous forme de balise, avec leur propre configuration."
-
-msgid "To add a widget in your template, you need to write code like this:"
-msgstr "Pour ajouter un widget à votre thème, vous devez insérer un code similaire à :"
-
-msgid "Widget ID"
-msgstr "ID du widget"
-
-msgid "Setting name"
-msgstr "Nom de l'élément de réglage"
-
-msgid "Setting value"
-msgstr "Valeur de l'élément de réglage"
-
-msgid "Here are the following available widgets for your blog:"
-msgstr "Voici les widgets disponibles pour votre blog :"
-
 msgid "Widget ID:"
 msgstr "Identifiant du widget :"
@@ -1973,27 +1958,54 @@
 msgstr "Aucun widget pour le moment."
 
+msgid "Up the widget"
+msgstr "Monter le widget"
+
+msgid "Down the widget"
+msgstr "Descendre le widget"
+
 msgid "Remove widget"
 msgstr "Retirer le widget"
 
 msgid "Drag widgets here to remove."
-msgstr "Glisser les widgets ici pour les retirer."
-
-#~ msgid "Antispam"
-#~ msgstr "Antispam"
-
-#~ msgid "Blogroll"
-#~ msgstr "Liste des liens"
-
-#~ msgid "Import/Export"
-#~ msgstr "Import/Export"
-
-#~ msgid "Maintenance"
-#~ msgstr "Maintenance"
-
-#~ msgid "Tags"
-#~ msgstr "Mots-clés"
-
-#~ msgid "Simple menu"
-#~ msgstr "Menu simple"
+msgstr "Glisser les widgets ici pour les retirer du volet."
+
+#~ msgid "Feed subscription links (RSS or Atom)"
+#~ msgstr "Liens de souscription aux flux (RSS ou Atom)"
+
+#~ msgid "List of last entries from feed (RSS or Atom)"
+#~ msgstr "Liste des derniers billets d'un flux (RSS or Atom)"
+
+#~ msgid "Settings successfully updated"
+#~ msgstr "Les réglages ont été mis à jour."
+
+#~ msgid "Widgets may be used to add various blocks of content to be displayed on your public pages. To add a widget, drag it from the Available widgets list on the left to one of the sidebars on the right of this page. You can order your widgets in a sidebar by dragging them up or down. You must update sidebars to apply your changes."
+#~ msgstr "Les widgets sont utilisés pour ajouter des blocs de contenus divers dans vos pages publiques. Pour ajouter un widget, faites-le glisser depuis la liste des Widgets disponibles à gauche jusqu'à l'un des volets sur la droite de la page. Vous pouvez ré-ordonner vos widgets dans un volet en le faisant glisser vers le haut ou vers le bas. Vous devez mettre à jour les volets pour enregistrer vos modifications."
+
+#~ msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the arrow next to their name."
+#~ msgstr "Une fois inclus dans un volet, les widgets ont généralement des options que vous pouvez configurer. Cliquez sur la flèche à côté de leur nom pour y accéder."
+
+#~ msgid "Reset sidebars to get back to default widgets installation."
+#~ msgstr "Réinitialisez les volets pour retrouver les widgets par défaut de votre installation."
+
+#~ msgid "Widget templates tags"
+#~ msgstr "Balises de widget"
+
+#~ msgid "If you are allowed to edit your theme templates, you can directly add widgets as templates tags, with their own configuration."
+#~ msgstr "Si vous êtes autorisé à modifier vos fichiers de thème, vous pouvez ajouter des widgets sous forme de balise, avec leur propre configuration."
+
+#~ msgid "To add a widget in your template, you need to write code like this:"
+#~ msgstr "Pour ajouter un widget à votre thème, vous devez insérer un code similaire à :"
+
+#~ msgid "Widget ID"
+#~ msgstr "ID du widget"
+
+#~ msgid "Setting name"
+#~ msgstr "Nom de l'élément de réglage"
+
+#~ msgid "Setting value"
+#~ msgstr "Valeur de l'élément de réglage"
+
+#~ msgid "Here are the following available widgets for your blog:"
+#~ msgstr "Voici les widgets disponibles pour votre blog :"
 
 #~ msgid "Updates are available"
@@ -2019,5 +2031,5 @@
 
 #~ msgid "The theme has been successfully installed."
-#~ msgstr "Le thème a été installé avec succès."
+#~ msgstr "Le thème a été installé."
 
 #~ msgid "Following plugins have not been updated:"
@@ -2045,7 +2057,4 @@
 #~ msgstr "Retour"
 
-#~ msgid "Alert settings"
-#~ msgstr "Réglage des alertes"
-
 #~ msgid "Save this settings"
 #~ msgstr "Enregistrer ces réglages"
@@ -2055,5 +2064,5 @@
 
 #~ msgid "Settings definition successfully updated"
-#~ msgstr "Les réglages ont été enregistrés avec succès"
+#~ msgstr "Les réglages ont été enregistrés."
 
 #~ msgid "By"
@@ -2064,5 +2073,5 @@
 
 #~ msgid "Preferences definition successfully updated"
-#~ msgstr "Définition des préférences mise à jour avec succès"
+#~ msgstr "La définition des préférences a été enregistrée."
 
 #~ msgid "Use different periods for each task"