Index: locales/fr/help/core_categories.html
===================================================================
--- locales/fr/help/core_categories.html	(revision 2415)
+++ locales/fr/help/core_categories.html	(revision 2438)
@@ -8,6 +8,6 @@
       <dt>Supprimer une catégorie</dt>
       <dd>Choisissez la catégorie que vous voulez supprimer en cliquant sur <strong>Supprimer 
-	  la catégorie</strong>. Une popup vous demandera de confirmer cette action.<br>
-	Une catégorie ne peut être supprimée que si elle ne contient aucun billet.<br>
+	  la catégorie</strong>. Une popup vous demandera de confirmer cette action.<br />
+	Une catégorie ne peut être supprimée que si elle ne contient aucun billet.<br />
 	Pour vider une catégorie, vous pouvez choisir (liste de sélection) la nouvelle catégorie
 	dans laquelle ils seront déplacés. Cliquez sur <strong>OK</strong> pour confirmer ce choix.
@@ -16,5 +16,5 @@
       <dt>Modifier l'ordre des catégories</dt>
       <dd>Par glisser-déposer vous pouvez modifier l'ordre des catégories. Vous pouvez aussi 
-	déplacer une catégorie dans une catégorie parente.<br>
+	déplacer une catégorie dans une catégorie parente.<br />
 	Quand l'ordre vous convient cliquez sur <strong>Enregistrer l'ordre des catégories</strong>.</dd>
       
Index: locales/fr/help/core_media.html
===================================================================
--- locales/fr/help/core_media.html	(revision 2372)
+++ locales/fr/help/core_media.html	(revision 2438)
@@ -34,8 +34,8 @@
       <dt>Interface avancée</dt>
       <dd>Permet de choisir plusieurs fichiers à la fois sur son disque dur pour les envoyer sur le
-	blog. Si un des fichiers dépasse la taille maximale, il ne pourra être envoyé.<br>
+	blog. Si un des fichiers dépasse la taille maximale, il ne pourra être envoyé.<br />
 	Quand vous choisissez plusieurs fichiers sur votre disque dur, ils sont mis en liste d'attente. Vous
 	pouvez en ajouter d'autres, en cliquant de nouveau sur <strong>Choisir des fichiers</strong>. Vous pouvez aussi retirer 
-	des fichiers de la liste d'attente en cliquant sur l'icône rouge correspondante.<br>
+	des fichiers de la liste d'attente en cliquant sur l'icône rouge correspondante.<br />
 	Lorsque vous êtes prêts, cliquez sur <strong>Envoyer</strong>.</dd>
     </dl>
Index: locales/fr/help/core_search.html
===================================================================
--- locales/fr/help/core_search.html	(revision 2378)
+++ locales/fr/help/core_search.html	(revision 2438)
@@ -35,5 +35,5 @@
 			l'identifiant de l'utilisateur qui deviendra le nouvel auteur.</li>
 			<li><strong>Supprimer :</strong> supprime le billet (cette opération est irréversible).</li>
-		<ul>
+		</ul>
 </body>
 </html>
Index: plugins/aboutConfig/locales/fr/help/help.html
===================================================================
--- plugins/aboutConfig/locales/fr/help/help.html	(revision 2372)
+++ plugins/aboutConfig/locales/fr/help/help.html	(revision 2438)
@@ -8,5 +8,5 @@
     <p>Cette page présente des informations <em>techniques</em> 
       brutes, relatives à la configuration du blog courant (et communes à tous les blogs).
-      Généralement ces paramètres sont gérés par d'autres pages de l'administration.<br>
+      Généralement ces paramètres sont gérés par d'autres pages de l'administration.<br />
       Ne modifiez quelque chose que si vous savez ce que vous faîtes.</p>
     
Index: plugins/antispam/locales/fr/help/comments.html
===================================================================
--- plugins/antispam/locales/fr/help/comments.html	(revision 2378)
+++ plugins/antispam/locales/fr/help/comments.html	(revision 2438)
@@ -23,4 +23,5 @@
 tous les commentaires ou retroliens marqués indésirables seront
 supprimés à l'intervalle renseigné.</dd>
+</dl>
 
 </body>
Index: plugins/importExport/locales/fr/help/import.html
===================================================================
--- plugins/importExport/locales/fr/help/import.html	(revision 2422)
+++ plugins/importExport/locales/fr/help/import.html	(revision 2438)
@@ -50,5 +50,5 @@
 <hr />
 
-<p>Note : les fonctions d'export sont désormais dans la page de <a href="plugin.php?p=maintenance&tab=backup#backup">Maintenance</a>.</p>
+<p>Note : les fonctions d'export sont désormais dans la page de <a href="plugin.php?p=maintenance&amp;tab=backup#backup">Maintenance</a>.</p>
 
 </body>
Index: plugins/pings/locales/fr/help/pings.html
===================================================================
--- plugins/pings/locales/fr/help/pings.html	(revision 2423)
+++ plugins/pings/locales/fr/help/pings.html	(revision 2438)
@@ -8,5 +8,5 @@
 <h4>Signalements (pings)</h4>
 <p><a href="http://fr.wikipedia.org/wiki/Ping_%28blogue%29">Qu'est-ce qu'un service de signalement&nbsp;?</a> (“ping”).</p>
-<p>Pour ajouter un service de signalement</a> remplissez les champs de nom et d'URI puis cliquez sur le bouton <strong>Enregistrer</strong>.</p>
+<p>Pour ajouter un service de signalement, remplissez les champs de nom et d'URI puis cliquez sur le bouton <strong>Enregistrer</strong>.</p>
 <p>Pour supprimer un service, videz les champs nom et URI puis enregistrez.</p>
 </body>
Index: plugins/userPref/locales/fr/help/help.html
===================================================================
--- plugins/userPref/locales/fr/help/help.html	(revision 2372)
+++ plugins/userPref/locales/fr/help/help.html	(revision 2438)
@@ -7,5 +7,5 @@
     <h4>User:preferences</h4>
     <p>Cette page présente des informations <em>techniques</em> 
-      brutes généralement gérées par d'autres pages.<br>
+      brutes généralement gérées par d'autres pages.<br />
       Ne modifiez quelque chose que si vous savez ce que vous faîtes.</p>
     <p>Par exemple le paramètre <em>nodragdrop</em> se configure sur la page 