Index: plugins/antispam/locales/fr/help/help.html
===================================================================
--- plugins/antispam/locales/fr/help/help.html	(revision 2458)
+++ plugins/antispam/locales/fr/help/help.html	(revision 2472)
@@ -7,22 +7,22 @@
 
 <h4>Antispam</h4>
-	<p>Le spam de commentaires et r&eacute;troliens est pass&eacute; d'anecdotique &agrave; un ph&eacute;nom&egrave;ne massif. Il est devenu indispensable de disposer d'un ensemble de filtres permettant de reconnaître si un commentaire est un ind&eacute;sirable ou non, c'est ce que propose le plugin Antispam.
+	<p>Le spam de commentaires et rétroliens est passé d'anecdotique à un phénomène massif. Il est devenu indispensable de disposer d'un ensemble de filtres permettant de reconnaître si un commentaire est un indésirable ou non, c'est ce que propose le plugin Antispam.
 	</p>
 
 <dl>
 	<dt>Informations</dt>
-	<dd>Cliquer sur &#171; Commentaires ind&eacute;sirables &#187; renvoie vers la liste des commentaires ind&eacute;sirables.</dd>
-	<dd>Cliquer sur &#171; Commentaires publi&eacute;s &#187; renvoie vers la liste de tous les commentaires publi&eacute;s.</dd>
-	<dd>Le bouton &#171; Supprimer tous les ind&eacute;sirables &#187; permet de supprimer tous les commentaires ind&eacute;sirables d'un seul coup.</dd>
+	<dd>Cliquer sur &#171; Commentaires indésirables &#187; renvoie vers la liste des commentaires indésirables.</dd>
+	<dd>Cliquer sur &#171; Commentaires publiés &#187; renvoie vers la liste de tous les commentaires publiés.</dd>
+	<dd>Le bouton &#171; Supprimer tous les indésirables &#187; permet de supprimer tous les commentaires indésirables d'un seul coup.</dd>
 	
-	<dt>Filtres d'ind&eacute;sirables disponibles</dt>
-	<dd>Par d&eacute;faut, Dotclear est livr&eacute; avec six filtres dont deux d&eacute;sactiv&eacute;s. Vous pouvez en rajouter d'autres par la suite.</dd> 
-	<dd>Ordre : Les filtres sont appliqu&eacute;s &agrave; partir du premier en partant du haut. Vous pouvez changer l'ordre des filtres. 
-	Certains des filtres par d&eacute;faut (IP Lookup, Links Lookup et Akismet) ont besoin du r&eacute;seau ce qui peut-&ecirc;tre un peu long. Il est conseill&eacute; de les laisser en fin de liste.
-	De m&ecirc;me, le filtre IP Filter pouvant d&eacute;cider qu'un message n'est pas un spam, laissez le toujours en deuxi&egrave;me position.</dd>
+	<dt>Filtres d'indésirables disponibles</dt>
+	<dd>Par défaut, Dotclear est livré avec six filtres dont deux désactivés. Vous pouvez en rajouter d'autres par la suite.</dd> 
+	<dd>Ordre : Les filtres sont appliqués à partir du premier en partant du haut. Vous pouvez changer l'ordre des filtres. 
+	Certains des filtres par défaut (IP Lookup, Links Lookup et Akismet) ont besoin du réseau ce qui peut-être un peu long. Il est conseillé de les laisser en fin de liste.
+	De même, le filtre IP Filter pouvant décider qu'un message n'est pas un spam, laissez le toujours en deuxième position.</dd>
 	<dd>Actif : Cocher ou décocher la case pour activer ou désactiver le filtre.</dd>
 	<dd>Auto suppr. : Si la case est cochée, les commentaires considérés comme indésirables par le filtre seront automatiquement et définitivement supprimés sans possibilité de repêcher les faux positifs.</dd>
 	<dd>Configuration du filtre : Certains filtres peuvent et même doivent, dans certains cas, être configuré pour être efficace. Cliquer sur l'icône pour accéder à la page de configuration du filtre.</dd> 
-	
+</dl>	
 	</body>
 
Index: plugins/antispam/locales/fr/help/iplookup.html
===================================================================
--- plugins/antispam/locales/fr/help/iplookup.html	(revision 2458)
+++ plugins/antispam/locales/fr/help/iplookup.html	(revision 2472)
@@ -9,5 +9,5 @@
 <p>IP Lookup est un filtre qui vérifie l'adresse IP de l'auteur du scommentaire sur des listes partagées appelées DNSBL (ou RBL). Par défaut le filtre utilise les serveurs sbl-xbl.spamhaus.org et bsb.spamlookup.net. Retrouvez <a href="http://www.moensted.dk/spam/">une liste de serveurs sur cette page.</a></p>
 
-<p>Vous pouvez ajouter autant de serveurs que vous le souhaitez en les séparant par des virgules. N'oubliez pas de cliquer sur Enregistrer pour sauvegarder vos modifications.<p>
+<p>Vous pouvez ajouter autant de serveurs que vous le souhaitez en les séparant par des virgules. N'oubliez pas de cliquer sur Enregistrer pour sauvegarder vos modifications.</p>
 
 </body>
Index: plugins/antispam/locales/fr/help/words.html
===================================================================
--- plugins/antispam/locales/fr/help/words.html	(revision 2458)
+++ plugins/antispam/locales/fr/help/words.html	(revision 2472)
@@ -18,4 +18,5 @@
 	<dd>Sélectionner le(s) mot(s) pour le supprimer de la liste.</dd>
 <dt>Créer une liste de mots par défaut</dt>  
+</dl>
 </body>
 </html>